Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023758
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-05-07 15:392013-06-20 02:07
ReporterjonalegriaesarteView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision2e4eccaa3cc8
ProjectionnoneETAnoneTarget Version3.0MP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023758: Format.xml is not correctly applied to Amount reference in grid view

DescriptionFormat.xml is not correctly applied to Amount reference in grid view. After saving the amount, the grid view show the amount correctly rounded, but in the database, the amount is not rounded.
Steps To ReproduceWe are going to use an existing window to the example:

- As System Administrator, Windows, tabs and fields, Purchase invoice window. Flag the tab accounting dimension as active and change the pattern to standard.
- Purchase invoice, create a new one with one line
- In grid view, add a line in accounting dimension tab, with amount 1.3254.
- After saving the system shows 1.32, but the amount stored is 1.3254

With Price reference, the amount stored is correctly rounded.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026538pi closedrafaroda Purchase invoice can not be booked when using 4 decimals in price list precision under some conditions 
blocks defect 00284273.0PR15Q2 closedAugustoMauch Price is not rounded to calculate the line net amount in Create Lines process of Purchase Order 

-  Notes
(0058584)
shankarb (developer)
2013-05-13 11:16

The description of the reference states that an amount is a number with 4 decimals. So I think in the database it is stored properly and it is represented in the UI using the format specified in Format.xml.
(0058626)
shankarb (developer)
2013-05-14 06:10

The reference is to be modified to save the numeric value based on the format provided in format.xml
(0058673)
hgbot (developer)
2013-05-16 15:48

Repository: erp/devel/pi
Changeset: 2e4eccaa3cc8fc8ac434cb0d386166558d1ee686
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu May 16 15:46:10 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]

Fixes issue 23758: Amount and price columns are properly rounded

When a numeric field loses the focus its value is going to be rounded using the number of decimal digits specified in its type instance. Then in the saveEditedValues of ob-view-grid, th
e new values are going to be recomputed to make sure the updated values are being retrieved.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0058710)
shankarb (developer)
2013-05-21 06:11

Code reviewed and verified in pi changeset 83655f9606f4
(0058733)
hgbot (developer)
2013-05-21 17:31

Repository: erp/devel/pi
Changeset: 527073d212bce78ff1016d3d25e67008d95bd266
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 21 17:30:46 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/527073d212bce78ff1016d3d25e67008d95bd266 [^]

Fixes issue 23868: Numeric columns are not stored as strings

In the fix of the issue 23758, after rounding the number they were being stored as strings when they should have been stored as numbers.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0058822)
hudsonbot (developer)
2013-05-23 01:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058847)
hudsonbot (developer)
2013-05-23 01:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0059143)
hgbot (developer)
2013-06-04 10:21

Repository: erp/devel/pi
Changeset: e13f1255ac95c3444919326fc896ffdebc66c1a3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 04 10:20:19 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e13f1255ac95c3444919326fc896ffdebc66c1a3 [^]

Fixes issue 23975: Number handling works using ',' as decimal separator

In the fix of the issue 23758 [1] it was wrongly assumed that the function getValue() of a OBNumberItem was going to return a javascript number. When the an existing record has just been opened getValue() will return a number, but when the user edits it, it will return the string representation of the number using the format specified by the user.

Now this has been taken into account, so the value is treated differently if getValue returns a string or a javascript number.

[1] https://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0059537)
hudsonbot (developer)
2013-06-20 02:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-07 15:39 jonalegriaesarte New Issue
2013-05-07 15:39 jonalegriaesarte Assigned To => AugustoMauch
2013-05-07 15:39 jonalegriaesarte Modules => Core
2013-05-07 15:39 jonalegriaesarte Triggers an Emergency Pack => No
2013-05-13 11:16 shankarb Note Added: 0058584
2013-05-13 11:16 shankarb Assigned To AugustoMauch => jonalegriaesarte
2013-05-13 11:16 shankarb Status new => feedback
2013-05-14 06:10 shankarb Note Added: 0058626
2013-05-14 06:10 shankarb Status feedback => new
2013-05-14 06:10 shankarb Assigned To jonalegriaesarte => shankarb
2013-05-16 15:47 AugustoMauch Issue Monitored: shankarb
2013-05-16 15:47 AugustoMauch Review Assigned To => shankarb
2013-05-16 15:48 hgbot Checkin
2013-05-16 15:48 hgbot Note Added: 0058673
2013-05-16 15:48 hgbot Status new => resolved
2013-05-16 15:48 hgbot Resolution open => fixed
2013-05-16 15:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]
2013-05-21 06:11 shankarb Note Added: 0058710
2013-05-21 06:11 shankarb Status resolved => closed
2013-05-21 06:11 shankarb Fixed in Version => 3.0MP24
2013-05-21 17:31 hgbot Checkin
2013-05-21 17:31 hgbot Note Added: 0058733
2013-05-23 01:33 hudsonbot Checkin
2013-05-23 01:33 hudsonbot Note Added: 0058822
2013-05-23 01:34 hudsonbot Checkin
2013-05-23 01:34 hudsonbot Note Added: 0058847
2013-06-04 10:21 hgbot Checkin
2013-06-04 10:21 hgbot Note Added: 0059143
2013-06-20 02:07 hudsonbot Checkin
2013-06-20 02:07 hudsonbot Note Added: 0059537
2014-05-13 13:24 jonalegriaesarte Relationship added related to 0026538
2015-01-23 14:49 AugustoMauch Relationship added blocks 0028427


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker